# Restore the zone from a dump taken before an apply

`POST /workspace/domains/{d}/rollback` · Rivier · domains

Restore the zone from a dump taken before an apply.

- Scope: domains:write
- Sdk: domains.domain.rollback
- Cli: domains domain rollback
- Events: domains.domain.rolledBack

## Parameters

- `d` (path, required), string

## Request body

`application/json`

```json
{
  "type": "object",
  "properties": {
    "dumpId": {
      "type": "string",
      "minLength": 5,
      "maxLength": 200
    }
  },
  "required": [
    "dumpId"
  ],
  "additionalProperties": false
}
```

## Responses

- `200`: Success
- `400`: The request was malformed
- `401`: No valid credential
- `403`: The credential lacks the scope, origin or address
- `429`: Over the key's rate limit; see Retry-After

## Example

```sh
curl -X POST 'https://api.rivier.ai/workspace/domains/{d}/rollback' \
  -H 'Authorization: Bearer $KEY' \
  -H 'Content-Type: application/json' \
  -d '{
  "dumpId": "string"
}'
```
